/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.axiom.ts.springws.scenario.broker;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(namespace="urn:broker", name="Order")
@XmlType(propOrder={"customer","items"})
public class Order {
    @XmlRootElement(namespace="urn:broker", name="Item")
    @XmlType(propOrder={"stock","count"})
    public static class Item {
        private String stock;
        private int count;
        
        @XmlElement(namespace="urn:broker", name="Stock")
        public String getStock() {
            return stock;
        }
        
        public void setStock(String stock) {
            this.stock = stock;
        }
        
        @XmlElement(namespace="urn:broker", name="Count")
        public int getCount() {
            return count;
        }
        
        public void setCount(int count) {
            this.count = count;
        }
    }
    
    private int customer;
    private Item[] items;
    
    @XmlElement(namespace="urn:broker", name="Customer")
    public int getCustomer() {
        return customer;
    }
    
    public void setCustomer(int customer) {
        this.customer = customer;
    }
    
    @XmlElement(namespace="urn:broker", name="Item")
    public Item[] getItems() {
        return items;
    }
    
    public void setItems(Item[] items) {
        this.items = items;
    }
}
